This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 17:50
Elapsed6m48s
Revision
Builder0fb46050-7378-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/718ba77d-8be9-40bd-a0de-17bfc0945df9/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/718ba77d-8be9-40bd-a0de-17bfc0945df9/targets/test
infra-commitc1596e1ab

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 17:50:50.731] process 29 exited with code 0 after 0.0m
I0331 17:50:50.731] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 17:50:50.731] Root: /workspace
I0331 17:50:50.731] cd to /workspace
I0331 17:50:50.731] Configure environment...
I0331 17:50:50.732] Call:  git show -s --format=format:%ct HEAD
W0331 17:50:50.736] fatal: not a git repository (or any of the parent directories): .git
I0331 17:50:50.736] process 42 exited with code 128 after 0.0m
W0331 17:50:50.736] Unable to print commit date for HEAD
I0331 17:50:50.736] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 17:50:51.240] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 17:50:51.908] process 43 exited with code 0 after 0.0m
I0331 17:50:51.908] Call:  gcloud config get-value account
I0331 17:50:52.743] process 56 exited with code 0 after 0.0m
I0331 17:50:52.744] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 17:50:52.744] Start 1245045829597663232 at ...
I0331 17:50:52.746] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_Ncn81t gs://kubernetes-jenkins/logs/metrics-kettle/1245045829597663232/started.json
I0331 17:50:55.534] process 69 exited with code 0 after 0.0m
I0331 17:50:55.535] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 17:50:55.560] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 17:57:28.721] ERROR: table k8s-gubernator:build.all is 10.9 hours old. Max allowed: 6 hours.
I0331 17:57:28.722] ERROR: table k8s-gubernator:build.week is 11.1 hours old. Max allowed: 6 hours.
I0331 17:57:28.722] ERROR: table k8s-gubernator:build.day is 10.6 hours old. Max allowed: 6 hours.
I0331 17:57:28.722] Collected data:
I0331 17:57:28.722] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 17:57:28.723] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 17:57:28.723] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 17:57:28.723] 
W0331 17:57:28.815] Traceback (most recent call last):
... skipping 22 lines ...
W0331 17:57:28.818]     self.send(msg)
W0331 17:57:28.818]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 17:57:28.818]     self.connect()
W0331 17:57:28.818]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 17:57:28.818]     conn = self._new_conn()
W0331 17:57:28.818]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 17:57:28.818]     self, "Failed to establish a new connection: %s" % e
W0331 17:57:28.818] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f1bdeec7358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 17:57:28.819] 
W0331 17:57:28.819] During handling of the above exception, another exception occurred:
W0331 17:57:28.819] 
W0331 17:57:28.819] Traceback (most recent call last):
W0331 17:57:28.819]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 17:57:28.819]     timeout=timeout
W0331 17:57:28.819]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 17:57:28.819]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 17:57:28.819]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 17:57:28.820]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 17:57:28.820] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f1bdeec7358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 17:57:28.820] 
W0331 17:57:28.820] During handling of the above exception, another exception occurred:
W0331 17:57:28.820] 
W0331 17:57:28.820] Traceback (most recent call last):
W0331 17:57:28.820]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 17:57:28.820]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 17:57:28.822]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 17:57:28.822]     resp = self.send(prep, **send_kwargs)
W0331 17:57:28.822]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 17:57:28.822]     r = adapter.send(request, **kwargs)
W0331 17:57:28.822]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 17:57:28.822]     raise ConnectionError(e, request=request)
W0331 17:57:28.823] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f1bdeec7358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 17:57:28.823] Traceback (most recent call last):
W0331 17:57:28.823]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 17:57:28.823]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 17:57:28.823]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 17:57:28.823]     check(*cmd)
W0331 17:57:28.823]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 17:57:28.823]     subprocess.check_call(cmd)
W0331 17:57:28.823]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 17:57:28.823]     raise CalledProcessError(retcode, cmd)
W0331 17:57:28.824] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 17:57:28.824] Command failed
I0331 17:57:28.824] process 251 exited with code 1 after 6.6m
E0331 17:57:28.824] FAIL: metrics-kettle
I0331 17:57:28.824] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 17:57:29.289] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 17:57:29.901] process 255 exited with code 0 after 0.0m
I0331 17:57:29.902] Call:  gcloud config get-value account
I0331 17:57:30.743] process 267 exited with code 0 after 0.0m
I0331 17:57:30.743] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 17:57:30.743] Upload result and artifacts...
I0331 17:57:30.744] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245045829597663232
W0331 17:57:30.744] Missing local artifacts : /workspace/_artifacts
W0331 17:57:30.744] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 17:57:30.744] metadata not found or invalid, init with empty metadata
I0331 17:57:30.744] Call:  git rev-parse HEAD
W0331 17:57:30.749] fatal: not a git repository (or any of the parent directories): .git
E0331 17:57:30.750] Command failed
I0331 17:57:30.750] process 280 exited with code 128 after 0.0m
I0331 17:57:30.750] Call:  git rev-parse HEAD
I0331 17:57:30.754] process 281 exited with code 0 after 0.0m
I0331 17:57:30.754] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 17:57:32.160] process 282 exited with code 0 after 0.0m
I0331 17:57:32.161] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585673808279514'
... skipping 8 lines ...